import { r as registerInstance, h, g as getElement } from './index-07845439.js';
import { I as Item } from './index-e20749b7.js';
import { d as dist } from './index-63517df5.js';
import './index-b6cf748e.js';
import './_commonjsHelpers-8fe71198.js';
import './index-265fba1f.js';

const sv = {
  "Order total": "Orderbelopp",
};

function create(language) {
  return dist.create({
    sv,
  }, language);
}

const styleCss = ".sc-ig-order-items-total-h{display:table-row;width:100%}[hidden].sc-ig-order-items-total-h{display:none}.sc-ig-order-items-total-h>td.sc-ig-order-items-total>div.sc-ig-order-items-total{vertical-align:middle;width:-webkit-fit-content;width:-moz-fit-content;width:fit-content;padding-top:0.2em;padding-left:0.15em;padding-right:0.15em}.sc-ig-order-items-total-h>td.sc-ig-order-items-total>div.total.sc-ig-order-items-total{border-top:solid 1px rgb(var(--smoothly-light-color));width:6em}";

const IntergirOrderItemsTotal = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    this.t = create(this.element);
  }
  render() {
    var _a;
    const t = this.t;
    return [
      h("td", null),
      h("td", null, h("div", null, t("Order total"))),
      h("td", null),
      Item.vat(this.items) ? (h("td", null, h("div", { class: "total" }, (_a = Item.vat(this.items)) === null || _a === void 0 ? void 0 : _a.toFixed(2)))) : (h("td", null, h("div", null))),
      h("td", null, h("div", { class: "total" }, Item.amount(this.items).toFixed(2), " ", this.currency)),
      h("td", null),
    ];
  }
  get element() { return getElement(this); }
};
IntergirOrderItemsTotal.style = styleCss;

export { IntergirOrderItemsTotal as ig_order_items_total };
